Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.logging
Class Red5LoggerFactory

    java.lang.Object
      org.red5.logging.Red5LoggerFactory

    public class Red5LoggerFactory

extends Object

LoggerFactory to simplify requests for Logger instances within Red5 applications. This class is expected to be run only once per logger request and is optimized as such.

Author:
  Paul Gregoire (mondain@gmail.com)

Constructor Summary
`Red5LoggerFactory()`

Method Summary
`static Logger` | `getLogger(Class<?> clazz)`
`static Logger` | `getLogger(Class clazz, String contextName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Red5LoggerFactory

    public Red5LoggerFactory()

Method Detail

### getLogger

    public static Logger getLogger(Class<?> clazz)

### getLogger

    public static Logger getLogger(Class clazz,
                                   String contextName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project